0

I'm trying to use PyPy with some python code I'm write as it's a TON faster but I have having trouble getting it to load the library spidev

Are some libraries just not compatible with PyPy or do I need to update it's search path or something?

  • The version of Python you are using may be relevant. Some modules work with Python <3 but not Python 3. – joan Apr 26 '14 at 7:17
  • But PyPy is supposed to be 2.7.3 compatible... not 3. And that's the version of python I am using and spidev works fine. – Adam Haile Apr 26 '14 at 10:07
  • Do you have any other relevant information? Code? Error messages? – joan Apr 26 '14 at 10:15
  • Just "ImportError: No module named spidev" as if it weren't installed. Which it is because it works the the CPython interpreter – Adam Haile Apr 26 '14 at 10:16
1

http://www.raspberrypi.org/forums/viewtopic.php?t=50674 suggests that non-Python modules such as spidev (coded in C I guess) may not work with Py Py.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.